


// Includes definitions relevant to the peripherals embedded in the digital signal controller.
#include "F2806x_Device.h"

#include "constants.h"


// Definition of external functions. The bodies of the functions are in another file
extern int Initialize_the_Clocks(void);
extern int Initialize_the_GPIO(void);
extern int Manage_LEDs(int, int);

// Global variables are defined outside any function.
int Contatore=0;


// The program execution by default starts from the function called "main"
int main(void){
// The variables declared inside the function are local to the function itself.
    int Index1=0;
    int Index2=0;

    Initialize_the_Clocks();
    Initialize_the_GPIO();

    while (1) {
        while (Index1<10000){
            while(Index2<100){
                Index2++;
            }
            Index2=0;
            Index1++;
        }

        Manage_LEDs(TURN_ON,RED);
        Manage_LEDs(TURN_OFF,BLUE);

        while (Index1>1){
            while(Index2>1){
                Index2--;
            }
            Index2=100;
            Index1--;
        }

        Manage_LEDs(TURN_OFF,RED);
        Manage_LEDs(TURN_ON,BLUE);
    }
}
